<?php

namespace KupShop\GTMBundle\PageType;

use KupShop\ContentBundle\View\ArticlesView;

class ArticlesViewType extends AbstractPageType
{
    public function getPageData(&$dataContainer)
    {
        $a = new \stdClass();
        $a->artPath = $this->getBreadcrumbsWithoutCurrent();
        $dataContainer->article = $a;
    }

    public function getPageType(&$dataContainer)
    {
        $dataContainer->page->type = 'blog';
    }

    public static function getSupportedViews()
    {
        return [ArticlesView::class];
    }
}
